select group_concat( concat(p001, vpd100) separator ', ') as p01
from 
(
      select d64.p001 as p001, 
             concat( if(ifnull(d99004.p03, '')='', '', ' ('), 
                     ifnull(d99004.p03, ''), 
                     if(ifnull(d99004.p03, '')='', '', ')'))  as vpd100
      from d64
      left join d99004 on d99004.p01=d64.pd100    
      where d64.p101={trans->nr01}
) as tbl01      
group by null;